'use strict';
const db = require('../models');

module.exports = {
  up: (queryInterface, Sequelize) => {
    /*
      Add altering commands here.
      Return a promise to correctly handle asynchronicity.

      Example:
      return queryInterface.createTable('users', { id: Sequelize.INTEGER });
    */
    return Promise.all([
      db.sequelize.query(
        "INSERT INTO `Settings`(`smtp_service`, `smtp_user`, `smtp_password`, `smtp_from`, `package_link_expiry`, `session_expiry`, `purge_allowed`, `saas_allowed`) VALUES ('gmail', 'smtp_user', 'smtp_password', 'smtp_from', 60, 30, true, true);"
      )
    ]);
  },

  down: (queryInterface, Sequelize, done) => {
    /*
      Add reverting commands here.
      Return a promise to correctly handle asynchronicity.

      Example:
      return queryInterface.dropTable('users');
    */
    done();
  }
};
