'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(
        'ALTER TABLE ClientServices ADD INDEX ClientServices_clientId (clientId);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE  GatewayServices ADD INDEX gatewayId (gatewayId);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE GroupClients ADD INDEX clientId (clientId);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE Gateways ADD INDEX agent_id (agent_id);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE GroupServices ADD INDEX serviceId (serviceId);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE GroupServices ADD INDEX groupId (groupId);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE GroupClients ADD INDEX groupId (groupId);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE ClientAccessRestrictions ADD INDEX clientId (clientId);'
      ),
      queryInterface.sequelize.query(
        'ALTER TABLE GlobalIps ADD INDEX clientId (clientId);'
      )
    ]);
  },

  down: (queryInterface, Sequelize) => {
    /*
      Add reverting commands here.
      Return a promise to correctly handle asynchronicity.

      Example:
      return queryInterface.dropTable('users');
    */
  }
};
