'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    const tableName = 'SoftwareMasterLists';

    return queryInterface.describeTable(tableName).then(tableDefinition => {
      if (tableDefinition.id) {
        return Promise.resolve();
      }
      return queryInterface.addColumn(tableName, 'id', {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      });
    });
  },
  down: queryInterface => {
    return queryInterface.removeColumn('SoftwareMasterLists', 'id');
  }
};
