'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    const tableName = 'Connections';

    return queryInterface.describeTable(tableName).then(tableDefinition => {
      return queryInterface.addColumn(tableName, 'failure_cause', {
        allowNull: true,
        type: Sequelize.STRING,
      });
    });
  },
  down: queryInterface => {
    return queryInterface.removeColumn('Connections', 'failure_cause');
  }
};
