'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.addColumn('DevicePolicies', 'all_users', {
      type: Sequelize.TINYINT,
      allowNull: false,
    });

    await queryInterface.addColumn('Entitlements', 'all_users', {
      type: Sequelize.TINYINT,
      allowNull: false,
    });

    await queryInterface.addColumn('SoftwarePolicies', 'all_users', {
      type: Sequelize.TINYINT,
      allowNull: false,
    });

    await queryInterface.addColumn('SoftwareProcessPolicies', 'all_users', {
      type: Sequelize.TINYINT,
      allowNull: false,
    });

    await queryInterface.addColumn('DataVolumePolicies', 'all_users', {
      type: Sequelize.TINYINT,
      allowNull: false,
    });
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.removeColumn('DevicePolicies', 'all_users');
    await queryInterface.removeColumn('Entitlements', 'all_users');
    await queryInterface.removeColumn('SoftwarePolicies', 'all_users');
    await queryInterface.removeColumn('SoftwareProcessPolicies', 'all_users');
    await queryInterface.removeColumn('DataVolumePolicies', 'all_users');
  },
};
