'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('OsPolicies', 'is_enabled', {
      type: Sequelize.TINYINT,
      allowNull: true,
      defaultValue: true
    });

    await queryInterface.addColumn('SoftwarePolicies', 'is_enabled', {
      type: Sequelize.TINYINT,
      allowNull: true,
      defaultValue: true
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('OsPolicies', 'is_enabled');
    await queryInterface.removeColumn('SoftwarePolicies', 'is_enabled');
  }
};
