'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.changeColumn('SaasBridges', 'authService', {
      type: Sequelize.ENUM('aws cognito', 'okta', 'keycloak'),
      allowNull: false,
      defaultValue: 'aws cognito'
    });
  },
  down: (queryInterface, Sequelize) => {
    return queryInterface.removeColumn('SaasBridges', 'authService');
  }
};