'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    try {
      await queryInterface.sequelize.query(
        `
          UPDATE Privilege
            SET name = 'RDI Bridges'
            WHERE id = 30;
        `, 
      );
    } catch (error) {
      throw error;
    }
  },

  async down (queryInterface, Sequelize) {
    try {
      await queryInterface.sequelize.query(
        `
          UPDATE Privilege
            SET name = 'B2B Bridges'
            WHERE id = 30;
        `, 
      );
    } catch (error) {
      throw error;
    }
  }
};
