import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AdminAccessLogComponent } from './admin-access-log.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { BsDatepickerModule } from 'ngx-bootstrap/datepicker';
import { NgSelectModule } from '@ng-select/ng-select';
import { AdminAccessLogRoutingModule } from './admin-access-log-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [AdminAccessLogComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    BsDatepickerModule,
    NgSelectModule,
    PopoverModule,
    AdminAccessLogRoutingModule
  ],
  exports: [AdminAccessLogComponent]
})
export class AdminAccessLogModule { }
