import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BackupsComponent } from './backups.component';
import { TableModule } from '../table/table.module';
import { VerificationModalModule } from '../shared/verification-modal.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { SpinnerModule } from '../spinner/spinner.module';
import { BackupsRoutingModule } from './backups-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [BackupsComponent],
  imports: [
    CommonModule,
    TableModule,
    VerificationModalModule,
    NgSelectModule,
    FormsModule,
    SpinnerModule,
    PopoverModule,
    BackupsRoutingModule
  ],
  exports: [BackupsComponent]
})
export class BackupsModule { }
