import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableModule } from '../../table/table.module';
import { ClientListComponent } from './client-list.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { QRCodeModule } from 'angularx-qrcode';
import { ClientListRoutingModule } from './client-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { PasswordVerificationModule } from '../../password-verification/password-verification.module';
import { CreateQuickGroupModule } from '../../group/create-quick-group/create-quick-group.module';

@NgModule({
  declarations: [ClientListComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    QRCodeModule,
    PasswordVerificationModule,
    PopoverModule,
    CreateQuickGroupModule,
    ClientListRoutingModule
  ],
  exports: [ClientListComponent]
})
export class ClientListModule { }
