import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ClientsReportsComponent } from './clients-reports.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { BsDatepickerModule } from 'ngx-bootstrap/datepicker';
import { ClientsReportsRoutingModule } from './clients-reports-routing.module';

@NgModule({
  declarations: [ClientsReportsComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    BsDatepickerModule,
    ClientsReportsRoutingModule
  ],
  exports: [ClientsReportsComponent]
})
export class ClientsReportsModule { }
