import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DevicesReportsComponent } from './devices-reports.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { DevicesReportsRoutingModule } from './devices-reports-routing.module';
import { TableModule } from '../table/table.module';
import { NgxPaginationModule } from 'ngx-pagination';

@NgModule({
  declarations: [DevicesReportsComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    DevicesReportsRoutingModule,
    TableModule,
    NgxPaginationModule
  ],
  exports: [DevicesReportsComponent]
})
export class DevicesReportsModule { }
