import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GroupDetailComponent } from './group-detail.component';
import { TableModule } from '../../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { GroupDetailRoutingModule } from './group-detail-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { DeleteConfirmationModule } from '../../delete-confirmation/delete-confirmation.module';

@NgModule({
  declarations: [GroupDetailComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    DeleteConfirmationModule,
    GroupDetailRoutingModule
  ],
  exports: [GroupDetailComponent]
})
export class GroupDetailModule { }
