import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IdpListComponent } from './idp-list.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { IdpListRoutingModule } from './idp-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { PasswordVerificationModule } from '../../password-verification/password-verification.module';
import { OtpVerificationModule } from '../../otp-verification/otp-verification.module';

@NgModule({
  declarations: [IdpListComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    PasswordVerificationModule,
    IdpListRoutingModule,
    OtpVerificationModule
  ],
  exports: [IdpListComponent]
})
export class IdpListModule { }
