import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LoginComponent } from './login.component';
import { VersionModule } from '../version/version.module';
import { LoginRoutingModule } from './login-routing.module';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [LoginComponent],
  imports: [CommonModule, VersionModule, LoginRoutingModule, FormsModule],
  providers: [],
  exports: [LoginComponent]
})
export class LoginModule {}
