import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateManageComponent } from './create-manage.component';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { SpinnerModule } from '../../spinner/spinner.module';
import { CreateManageRoutingModule } from './create-manage-routing.module';

@NgModule({
  declarations: [CreateManageComponent],
  imports: [
    CommonModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    SpinnerModule,
    CreateManageRoutingModule
  ],
  exports: [CreateManageComponent]
})
export class CreateManageModule { }
