import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { EditRolesAndPermissionRoutingModule } from './edit-roles-and-permission-routing.module';
import { EditRolesAndPermissionComponent } from './edit-roles-and-permission.component';
import { EditRolesAndPermissionService } from './edit-roles-and-permission.service';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatChipsModule } from '@angular/material/chips';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatListModule } from '@angular/material/list';
import { MatStepperModule } from '@angular/material/stepper';
import { MatTreeModule } from '@angular/material/tree';
import { NgSelectModule } from '@ng-select/ng-select';

@NgModule({
  declarations: [EditRolesAndPermissionComponent],
  imports: [
    CommonModule,
    EditRolesAndPermissionRoutingModule,
    FormsModule,
    NgSelectModule,
    MatStepperModule,
    MatButtonModule,
    ReactiveFormsModule,
    MatFormFieldModule,
    MatChipsModule,
    MatInputModule,
    MatTreeModule,
    MatIconModule,
    MatCheckboxModule,
    MatListModule
  ],
  providers: [EditRolesAndPermissionService],
  exports: [EditRolesAndPermissionComponent]
})
export class EditRolesAndPermissionModule {}
