export enum AlertTimeEnum {
    AutoCloseTime = 5000
}

export enum HostLimitEnum {
    Limit = 5000
}

export enum KeyboardKeyCodeEnum {
    Enter = 13,
    CtrlA = 65,
    CtrlC = 67,
    CtrlV = 86,
    CtrlX = 88,
    CmdA = 65,
    CmdC = 67,
    CmdV = 86,
    CmdX = 88
}

export enum APIDataTypeEnum {
    Client = 'client',
    ClientGroup = 'clientGroup',
    Service = 'service',
    ServiceGroup = 'serviceGroup',
    Gateway = 'gateway',
    GatewayGroup = 'gatewayGroup',
    User = 'user',
    ServiceGraph = 'serviceGraph',
    UserGraph = 'userGraph',
    UserGroup = 'userGroup',
}

export enum InstallerStatusEnum {
    New = 'new',
    Error = 'error',
    Processing = 'processing',
    Success = 'success',
    Copied = 'copied',
    Canceled = 'canceled',
    Pending = 'pending'
}

export enum RoleEnum {
    Admin = 'Admin',
    Primary = 'Primary',
    Secondary = 'Secondary'
}

export enum TitleEnum {
    Workloads = 'workloads',
    Clients = 'clients',
    Infrastructure = 'infrastructure',
    Device = 'device',
    Reports = 'reports',
    Software = 'software',
    Access = 'access',
    Settings = 'settings',
    Database = 'database',
    License = 'license',
    Dashboard = 'dashboard',
    PolicyMenu = 'policyMenu',
    AccessPolicySubMenu = 'accessPolicySubMenu',
    DevicePolicySubMenu = 'devicePolicySubMenu',
    AlertsMenu = 'alertsMenu',
    SoftwaresList = 'softwaresList',
}

export enum ContextHelpEnum {
    Name = 'Name',
    email = 'email',
    ipv4_address = 'ipv4_address',
    port = 'port',
    public_ipv4_address = 'public_ipv4_address',
    public_ipv4_port = 'public_ipv4_port',
    spa_port = 'spa_port',
    hardware_id = 'hardware_id',
    selectedController = 'selectedController',
    DeviceLocation = 'DL',
    CommProtocol = 'Cp',
    buildOs = 'buildOs',
    spId = 'spId',
    device_os = 'device_os',
    assertionUrl = 'assertionUrl',
    eId = 'eId',
    LDAP_user = 'LDAP_user',
    LDAP_url = 'LDAP_url',
    LDAP_timeout = 'LDAP_timeout',
    LDAP_connectTimeout = 'LDAP_connectTimeout',
    LDAP_dc = 'LDAP_dc',
    LDAP_clients_dn = 'LDAP_clients_dn',
    LDAP_groups_dn = 'LDAP_groups_dn',
    name = 'name',
    type = 'type',
    mappedurl = 'mappedurl',
    protocol = 'protocol',
    mappedport = 'mappedport',
    license = 'license',
    smtp_user = 'smtp_user',
    smtp_password = 'smtp_password',
    smtp_from = 'smtp_from',
    oauth_cid = 'oauth_cid',
    oauth_cs = 'oauth_cs',
    oauth_tid = 'oauth_tid',
    oauth_rt = 'oauth_rt',
    package_link_expiry = 'package_link_expiry',
    session_expiry = 'session_expiry',
    mfa_server = 'mfa_server',
    DateFormat = 'df',
    gapiKey = 'gapiKey',
    recaptcha_site_key = 'recaptcha_site_key',
    password_expiry_days = 'password_expiry_days',
    smtp_service = 'smtp_service',
    smtp_host = 'smtp_host',
    build = 'build',
    smtp_port = 'smtp_port',
    dirsync_time = 'dirsync_time',
    label = 'label',
    direction = 'direction',
    buildComponent = 'buildComponent',
    buildVersion = 'buildVersion',
    autoPurgeDays = 'autoPurgeDays',
    description = 'description',
    sig = 'sig',
    role = 'role',
    host = 'host'
}
