import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { UsersReportsComponent } from './users-reports.component';
import { UsersReportsRoutingModule } from './users-reports-routing.module';
import { SharedModule } from '../shared/shared.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { BsDatepickerModule } from 'ngx-bootstrap/datepicker';

@NgModule({
  declarations: [UsersReportsComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    BsDatepickerModule,
    UsersReportsRoutingModule,
    PopoverModule,
    SharedModule
  ],
  exports: [UsersReportsComponent]
})
export class UsersReportsModule { }
