import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateWorkloadComponent } from './create-workload.component';
import { SpinnerModule } from '../../spinner/spinner.module';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { CreateWorkloadRoutingModule } from './create-workload-routing.module';

@NgModule({
  declarations: [CreateWorkloadComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    FormsModule,
    PopoverModule,
    NgSelectModule,
    CreateWorkloadRoutingModule
  ],
  exports: [CreateWorkloadComponent]
})
export class CreateWorkloadModule { }
