import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MicrosegmentsRoutingModule } from './microsegments-routing.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { MatMenuModule } from '@angular/material/menu';
import { DragDropModule } from '@angular/cdk/drag-drop';
import { ClipboardModule } from '@angular/cdk/clipboard';
import { TableModule } from '../../table/table.module';
import { MicrosegmentsComponent } from './microsegments.component';


@NgModule({
  declarations: [MicrosegmentsComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    MatMenuModule,
    DragDropModule,
    ClipboardModule,
    TableModule,
    NgSelectModule,
    MicrosegmentsRoutingModule,
  ],
  exports: [MicrosegmentsComponent]
})
export class MicrosegmentsModule { }
