import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { WorkloadDevicesRoutingModule } from './workload-devices-routing.module';
import { TableModule } from '../../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { DevicesListRoutingModule } from '../../devices-list/devices-list-routing.module';
import { WorkloadDevicesComponent } from './workload-devices.component';

@NgModule({
  declarations: [WorkloadDevicesComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    WorkloadDevicesRoutingModule
  ]
})
export class WorkloadDevicesModule { }
