// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `angular-cli.json`.

export const config = {
  color: {
    high: '#DE2A00',
    low: '#78B832',
    medium: '#FEC306',
    malware: '#F69200',
    system: '#FEC306',
    auth: '#418AB3',
    admin: '#492970',
    intrusion: '#910000',
    trust: '#A6C96A',
    server: '#DE2A00',
    desktop: '#418BB4',
    mobile: '#EE997E',
    iot: '#848484'
  },
  class: {
    high: 'high-alert fa-warning',
    low: 'low-alert fa-arrow-down',
    medium: 'medium-alert fa-flag'
  }
};
