'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  ldapUserName: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  serviceid: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  }
});
module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Assigns', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Assigns');
  }
};
