'use strict';
const db = require('../models');

module.exports = {
  up: (queryInterface, Sequelize) => {
    /*
      Add altering commands here.
      Return a promise to correctly handle asynchronicity.

      Example:
      return queryInterface.createTable('users', { id: Sequelize.INTEGER });
    */
    return Promise.all([
      db.sequelize.query('ALTER TABLE Controllers AUTO_INCREMENT = 100;'),
      db.sequelize.query('ALTER TABLE Services AUTO_INCREMENT = 700;'),
      db.sequelize.query('ALTER TABLE Gateways AUTO_INCREMENT = 3000;'),
      db.sequelize.query('ALTER TABLE Clients AUTO_INCREMENT = 7000;')
    ]);
  },

  down: (queryInterface, Sequelize, done) => {
    /*
      Add reverting commands here.
      Return a promise to correctly handle asynchronicity.

      Example:
      return queryInterface.dropTable('users');
    */
    done();
  }
};
