'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `ALTER TABLE sdp.UserGroupSQLQuery ADD user_id_query LONGTEXT NOT NULL;`
    );
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `ALTER TABLE sdp.UserGroupSQLQuery DROP COLUMN user_id_query;`
    );
  }
};
