'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('S2sDiscoveryData', 'is_discovered', {
      type: Sequelize.TINYINT,
      allowNull: false,
      defaultValue: true
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('S2sDiscoveryData', 'is_discovered');
  }
};
