'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('Settings', 'oauth_client_id', {
      type: Sequelize.STRING,
      allowNull: true,
    });

    await queryInterface.addColumn('Settings', 'oauth_client_secret', {
      type: Sequelize.STRING,
      allowNull: true,
    });

    await queryInterface.addColumn('Settings', 'oauth_tenant_id', {
      type: Sequelize.STRING,
      allowNull: true,
    });

    await queryInterface.addColumn('Settings', 'oauth_refresh_token', {
      type: Sequelize.STRING,
      allowNull: true,
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('Settings', 'oauth_client_id');
    await queryInterface.removeColumn('Settings', 'oauth_client_secret');
    await queryInterface.removeColumn('Settings', 'oauth_tenant_id');
    await queryInterface.removeColumn('Settings', 'oauth_refresh_token');
  }
};
