'use strict';
module.exports = (sequelize, DataTypes) => {
  const GatewayGroupPolicies = sequelize.define(
    'GatewayGroupPolicies',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      policy_id: {
        type: DataTypes.INTEGER
      },
      policy_type_id: {
        type: DataTypes.INTEGER
      },
      gateway_group_id: {
        type: DataTypes.INTEGER
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE
      }
    },
    {}
  );
  GatewayGroupPolicies.associate = function (models) {
    // associations can be defined here

  };
  return GatewayGroupPolicies;
};
