var https = require('https');
var axios = require('axios');

const httpsAgent = new https.Agent({
  rejectUnauthorized: false // (NOTE: this will disable client ssl verification)
});

var linOTPSession;
var linOtpServerBaseUrl = (process.env.LIN_OTP_BASE_URL || 'https://localhost') + ':' + process.env.OTP_PORT || 5001;

axios
  .post(
    `${linOtpServerBaseUrl}/admin/getsession`,
    {},
    { httpsAgent: httpsAgent }
  )
  .then(response => {
    linOTPSession = response.headers['set-cookie'][1]
      .split('; ')[0]
      .split('=')
      .pop();
    console.log('LinOtpSession ', linOTPSession);
  })
  .catch(error => {
    console.log('error in generating lin session ');
  });

module.exports.linOTPSession = function() {
  return linOTPSession;
};
