::install.cmd installs invisily SDP client and configures it

SET CURR_DIR=%~dp0

REM :: verify admin rights to modify Program data
NET SESSION >nul 2>&1
IF NOT %errorLevel% == 0 (
ECHO.
ECHO ERROR: failed to install SDP invisily client
ECHO Please run 'installer.cmd' as ADMIN
ECHO.
pause
GOTO EOF
)


::install client from invisily-client-windows
PUSHD "%CURR_DIR%"
START /WAIT installer.exe

::Query recently exported variable 'INVISILY_DIR' from Environment
for /f "tokens=2*" %%A in ('reg query "HKCU\Environment" /v INVISILY_DIR') do set DIR=%%B\

::truncate quotation if exist
SET INST_DIR=%DIR:"=%
ECHO installation path is: %INST_DIR:"=%


::verify invisily SDP client installtion
IF NOT EXIST "%INST_DIR%" (
ECHO.
ECHO  invisily SDP client is not installed!!!
ECHO.
GOTO EOF
)

::COPY configuration/settings file 'settings.cfg' to %INST_DIR%configs
XCOPY /Y "%CURR_DIR%settings.cfg" "%INST_DIR%configs"

::COPY certificates to INST_DIR
MKDIR "%INST_DIR%certs"
XCOPY /E /V /Y "%CURR_DIR%certs" "%INST_DIR%certs\"

:EOF
exit
