import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateClientComponent } from './create-client.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { CreateClientRoutingModule } from './create-client-routing.module';
import { SpinnerModule } from '../../spinner/spinner.module';
import { TrustedHostsModule } from '../../trusted-hosts/trusted-hosts.module';

@NgModule({
  declarations: [CreateClientComponent],
  imports: [
    CommonModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    SpinnerModule,
    TrustedHostsModule,
    CreateClientRoutingModule
  ],
  exports: [CreateClientComponent]
})
export class CreateClientModule { }
