import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateB2bBridgeComponent } from './create-b2b-bridge.component';
import { SpinnerModule } from '../spinner/spinner.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { CreateB2bBridgeRoutingModule } from './create-b2b-bridge-routing.module';

@NgModule({
  declarations: [CreateB2bBridgeComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    PopoverModule,
    FormsModule,
    NgSelectModule,
    CreateB2bBridgeRoutingModule
  ],
  exports: [CreateB2bBridgeComponent]
})
export class CreateB2bBridgeModule { }
