import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateDevicePolicyComponent } from './create-device-policy.component';
import { SpinnerModule } from '../spinner/spinner.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { CreateDevicePolicyRoutingModule } from './create-device-policy-routing.module';

@NgModule({
  declarations: [CreateDevicePolicyComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    CreateDevicePolicyRoutingModule
  ],
  exports: [CreateDevicePolicyComponent]
})
export class CreateDevicePolicyModule { }
