import { Component, OnInit, Output, EventEmitter, Input } from '@angular/core';

@Component({
  selector: 'app-confirm-delete-device',
  templateUrl: './confirm-delete-device.component.html',
  styleUrls: ['./confirm-delete-device.component.css']
})
export class ConfirmDeleteDeviceComponent implements OnInit {
  @Output('delete') delete = new EventEmitter<any>();
  @Output('cancel') cancel = new EventEmitter<any>();
  @Input('type') type: string = '';
  @Input('name') name: string = '';
  @Input('loading') loading: string = '';
  @Input('relatedPoliciesCount') relatedPoliciesCount: number = 0;

  constructor() { }

  ngOnInit() {
    this.cancel.subscribe((event) => {
    })
  }


}
