import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GatewayHealthComponent } from './gateway-health.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { TableModule } from '../../table/table.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [GatewayHealthComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    TableModule,
    PopoverModule
  ],
  exports: [GatewayHealthComponent]
})
export class GatewayHealthModule { }
