import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GatewayGroupDetailComponent } from './gateway-group-detail.component';
import { GatewayGroupDetailRoutingModule } from './gateway-group-detail-routing.module';
import { DeleteConfirmationModule } from '../../delete-confirmation/delete-confirmation.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { TableModule } from '../../table/table.module';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [GatewayGroupDetailComponent],
  imports: [
    CommonModule,
    DeleteConfirmationModule,
    NgSelectModule,
    TableModule,
    FormsModule,
    GatewayGroupDetailRoutingModule
  ],
  exports: [GatewayGroupDetailComponent]
})
export class GatewayGroupDetailModule { }
