import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, Router } from '@angular/router';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';

@Injectable()
export class ChangeQuestionGuard implements CanActivate {
  token: string;

  constructor(private router: Router) {}

  canActivate(route: ActivatedRouteSnapshot) {
    console.log('Here We Go');
    const is_question_changed = JSON.parse(
      localStorage.getItem('is_question_changed')
    );
    const userData = JSON.parse(localStorage.getItem('userData'));

    console.log('is_question_changed', is_question_changed);
    if (!is_question_changed && userData?.token) {
      return true;
    } else {
      this.router.navigate(['/login']);
      return false;
    }
  }
}
