import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateIdpComponent } from './create-idp.component';
import { SpinnerModule } from '../../spinner/spinner.module';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { CreateIdpRoutingModule } from './create-idp-routing.module';

@NgModule({
  declarations: [CreateIdpComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    FormsModule,
    PopoverModule,
    CreateIdpRoutingModule
  ],
  exports: [CreateIdpComponent]
})
export class CreateIdpModule { }
