import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { InfrastructureReportsComponent } from './infrastructure-reports.component';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { InfrastructureReportsRoutingModule } from './infrastructure-reports-routing.module';
import { SharedModule } from '../shared/shared.module';

@NgModule({
  declarations: [InfrastructureReportsComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    SharedModule,
    InfrastructureReportsRoutingModule
  ],
  exports: [InfrastructureReportsComponent]
})
export class InfrastructureReportsModule { }
