import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PolicyReportsComponent } from './policy-reports.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { PolicyReportsRoutingModule } from './policy-reports-routing.module';
import { SharedModule } from '../shared/shared.module';

@NgModule({
  declarations: [PolicyReportsComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    NgSelectModule,
    PolicyReportsRoutingModule,
    SharedModule
  ],
  exports: [PolicyReportsComponent]
})
export class PolicyReportsModule { }
