import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { SoftwareProcessPolicyComponent } from './software-process-policy.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { SoftwareProcessPolicyRoutingModule } from './software-process-policy-routing.module';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [SoftwareProcessPolicyComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    SoftwareProcessPolicyRoutingModule,
    OtpVerificationModule
  ],
  exports: [SoftwareProcessPolicyComponent]
})
export class SoftwareProcessPolicyModule { }
