import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SoftwaresListComponent } from './softwares-list.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { TableModule } from '../table/table.module';
import { SoftwaresListRoutingModule } from './softwares-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [SoftwaresListComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    TableModule,
    PopoverModule,
    SoftwaresListRoutingModule
  ],
  exports: [SoftwaresListComponent]
})
export class SoftwaresListModule { }
