/*
*************************************************************
Muhammad Ali Akbar on 17th Sep 2018
-------------------------------------------------------------
Added this class to hold information about the Progress Bar
Include this class by using 
  import { ProgressFile } from './Progress';
Depending upon the path of Class in your application
Then create a variable such as 
  progress:ProgressFile = new ProgressFile;
Definition of this popup that you would add into the html
  <div class="progress" [class.show-progress]="!progress.show">
    <progress max="100" value="80"></progress>
  </div>
You have noticed one class in this bar
  show-progress
Definition of these classes are as following
  .show-progress{
      display:none;
  }
You have to add this classes in your styles in your component.
There are four properties of this class
  show:boolean 
    It represents the state of the progress wether you 
    should display it or not.
    True to display
    False to hide
  value:string 
    Give the value to your progress
-------------------------------------------------------------
*************************************************************
*/
export class ProgressFile {
  show: boolean = false;
  value: number = 0;
  complete: boolean = false;
  constructor(show = false) {
    this.show = false;
  }
}
