import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableModule } from '../../table/table.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { MatOptionModule } from '@angular/material/core';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { UserGroupsRoutingModule } from './user-groups-routing.module';
import { UserGroupsComponent } from './user-groups.component';

@NgModule({
  declarations: [UserGroupsComponent],
  imports: [
    CommonModule,
    TableModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    MatAutocompleteModule,
    MatOptionModule,
    ReactiveFormsModule,
    UserGroupsRoutingModule
  ],
  exports: [UserGroupsComponent]
})
export class UserGroupsModule { }
